Package org.apache.sling.resource.filter

# Schnittstelle ResourcePredicates

Alle bekannten Unterschnittstellen:
  `ResourcePredicates.ResourcePredicateBuilder`

@ProviderType public interface ResourcePredicates
Service which provides the ability to convert a String into a Predicate<Resource> to match against Resource Objects

## Verschachtelte Klassen - Übersicht

Verschachtelte Klassen
Modifizierer und Typ
Schnittstelle
Beschreibung
`static interface`
`ResourcePredicates.ResourcePredicateBuilder`
Provides a transitional state where multiple parameters can be applied before creating the Predicate

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`Predicate<org.apache.sling.api.resource.Resource>`
`parse(String filter)`
Creates a Predicate<Resource> based on the provided script
`Predicate<org.apache.sling.api.resource.Resource>`
`parse(String filter, String charEncoding)`
Creates a Predicate<Resource> based on the provided script
`ResourcePredicates.ResourcePredicateBuilder`
`usingParameterMap(Map<String,Object> params)`
Replaces the existing parameter map with the supplied Map<String,Object> object, all prior provided parameters will be replaced
`ResourcePredicates.ResourcePredicateBuilder`
`withParameter(String key, Object value)`
Adds a key - value pair that can then be evaluated as part of the Predicate<Resource> creation
`ResourcePredicates.ResourcePredicateBuilder`
`withParameters(Map<String,Object> params)`
Add a series of key - value pairs that can then be evaluated as part of the Predicate<Resource> creation

## Methodendetails

### parse

Predicate<org.apache.sling.api.resource.Resource> parse(String filter)
Creates a Predicate<Resource> based on the provided script

Parameter:
  `filter` -
Gibt zurück:

### parse

Predicate<org.apache.sling.api.resource.Resource> parse(String filter, String charEncoding)
Creates a Predicate<Resource> based on the provided script

Parameter:
  `filter` -
  `charEncoding` -
Gibt zurück:

### withParameters

ResourcePredicates.ResourcePredicateBuilder withParameters(Map<String,Object> params)
Add a series of key - value pairs that can then be evaluated as part of the Predicate<Resource> creation

Parameter:
  `params` - Map of Key - Value pairs
Gibt zurück:
  ResourcePredicateBuilder

### withParameter

ResourcePredicates.ResourcePredicateBuilder withParameter(String key, Object value)
Adds a key - value pair that can then be evaluated as part of the Predicate<Resource> creation

Parameter:
  `key` -
  `value` -
Gibt zurück:
  ResourcePredicateBuilder

### usingParameterMap

ResourcePredicates.ResourcePredicateBuilder usingParameterMap(Map<String,Object> params)
Replaces the existing parameter map with the supplied Map<String,Object> object, all prior provided parameters will be replaced

Gibt zurück:
  ResourcePredicateBuilder